Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::action::action< Action > Struct Template Reference
Inheritance diagram for ranges::v3::action::action< Action >:

## Public Member Functions
| action (Action a)
template<typename Rng , typename... Rest, requires = (ActionConcept<Rng &, Rest...>())>
auto | operator() (Rng &rng, Rest &&... rest) const -> decltype(invoke(action_, rng, static_cast< Rest && >(rest)...))
template<typename T , typename... Rest, typename A = Action>
auto | operator() (T &&t, Rest &&... rest) const -> decltype(make_action(action_access::impl< A >::bind(action_, static_cast< T && >(t), static_cast< Rest && >(rest)...)))